=== Doc/Makefile ===
include /projects/python/python.org/ftp/pub/www.python.org/scripts/make.rules
ROOT_OFFSET = jpython/new/docs
HTROOT = ..
HTSTYLE = JPyLocalGenerator

$(TARGETS): links.h
