=== Demo/javaclasses/pygraph/Makefile ===
# Copyright  Corporation for National Research Initiatives
include ../../../rules/make.rules
CLASSPATH = ../../..
