=== org/python/compiler/Makefile ===
# Copyright  Corporation for National Research Initiatives
include ../../../Misc/make.rules
CLASSPATH = ../../..
