=== org/python/modules/Makefile ===
# Copyright  Corporation for National Research Initiatives

include ../../../Misc/make.rules
CLASSPATH = ../../..

MD5Module.java: md.class

md.class: md.java
