=== org/apache/oro/text/regex/Makefile ===
# Copyright 2000  BeOpen.com
include ../../../../../Misc/make.rules
CLASSPATH = ../../../../..

# Avoids a Jikes bug when -g is supplied
Perl5Matcher.class: OPT=
