## jython 2.5.3

=== debian/changelog ===
jython (2.5.3-16+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Fix CVE-2016-4000: (Closes: #864859)
    Unsafe deserialization may lead to arbitrary code execution.

 -- Markus Koschany <apo@debian.org>  Wed, 21 Jun 2017 20:15:51 +0200

jython (2.5.3-16) unstable; urgency=medium

  * Improve 03-default-cachedir.patch to consider cachedir relative to
    $HOME when it isn't an absolute path (closes: #857921, #857922)
  * Set default cachedir in global registry as '.jython-cache' instead
    of 'cachedir'

 -- Gilles Filippini <pini@debian.org>  Mon, 20 Mar 2017 21:18:22 +0100

jython (2.5.3-15) unstable; urgency=medium

  * Set 'Class-Path' into jython.jar's manifest (closes: #855689)

 -- Gilles Filippini <pini@debian.org>  Wed, 22 Feb 2017 11:52:18 +0100

jython (2.5.3-14) unstable; urgency=medium

  * debian/jython_perl: fix use of abs_path

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Dec 2016 17:02:02 +0100

jython (2.5.3-13) unstable; urgency=medium

  * Fix permission for /usr/share/jython/bin/jython

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Dec 2016 16:23:21 +0100

jython (2.5.3-12) unstable; urgency=medium

  * Team upload
  * Fix jython.home setting (closes: 845270):
    - Install jython laucher into /usr/share/jython/bin
    - Make /usr/bin/jython a symlink to /usr/share/jython/bin/jython
    - In the jython launcher, define jython.home with
      dirname(dirname(abs_path($0)))
  * New patch 03-default-cachedir.patch: the Debian default cachedir
    path is now set at the library intialization step, so that it works
    for every use case (closes: #845360)
  * Move python from Build-Depends-Indep to Build-Depends to allow building
    source only package (python provides the debhelper sequence file for
    dh_python2)

 -- Gilles Filippini <pini@debian.org>  Sun, 27 Nov 2016 21:48:24 +0100

jython (2.5.3-11) unstable; urgency=medium

  * Team upload.
  * Restored the Export-Package field in the OSGi metadata (Closes: #808485)
  * Switch to debhelper level 10
  * Added the watch file

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Nov 2016 14:36:32 +0100

jython (2.5.3-10) unstable; urgency=medium

  * Team upload.
  * Install the Maven artifacts
  * Build with the DH sequencer
  * Removed the suggested dependency on the Servlet API
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Jun 2016 09:22:31 +0200

jython (2.5.3-9) unstable; urgency=medium

  * Team upload.
  * Fixed the build classpath to really use the Servlet API 3.1
    (Closes: #801027)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 21 Dec 2015 15:13:15 +0100

jython (2.5.3-8) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0.
  * Vcs-Browser: Switch to cgit and https.
  * Fix Lintian warning binary-control-field-duplicates-source.
  * Switch to libservlet3.1-java. (Closes: #801027)
  * Drop unused jython-doc.override and jython.override files.
  * Build depend on dh-python and add substvar ${python:Depends} to jython
    package. Run dh_python2 in binary-indep target and fix Lintian error
    python-script-but-no-python-dep.

 -- Markus Koschany <apo@debian.org>  Wed, 18 Nov 2015 22:56:31 +0100

jython (2.5.3-7) unstable; urgency=medium

  * Team upload.
  * Depend on ANTLR 3.2 to avoid the incompatibilities with ANTLR 3.5
    (Closes: #796437, #796933)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 26 Oct 2015 22:09:30 +0100

jython (2.5.3-6) unstable; urgency=medium

  * Team upload.
  * Add binary dependency on libjnr-constants-java and
    libjnr-posix-java (>= 3.0.10~). (Closes: #786651)

 -- tony mancill <tmancill@debian.org>  Thu, 14 May 2015 21:32:38 -0700

jython (2.5.3-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Thu, 07 May 2015 22:08:00 -0700

jython (2.5.3-4) experimental; urgency=low

  * Team upload.
  * Updated debian/control and added patch to build against updated
    jnr-constants and jnr-posix packages.
  * Standards-Version updated to 3.9.6
  * Use DH 9.
  * Upload to experimental due to build-deps in experimental.

 -- tony mancill <tmancill@debian.org>  Wed, 08 Apr 2015 22:49:51 +0000

jython (2.5.3-3) unstable; urgency=medium

  * Make junit.framework OSGi package import optional since it's needed
    only to run tests.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 07 Oct 2014 17:14:40 +0200

jython (2.5.3-2) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Use canonical URLs for the Vcs-* fields

  [ Jakub Adam ]
  * Generate OSGi metadata for jython.jar.
  * Add Jakub Adam to Uploaders.

  [ Miguel Landaeta ]
  * Moved the package to Git.
  * Fix clean target in d/rules to allow twice in a row builds.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 31 Jul 2014 22:06:36 +0200

jython (2.5.3-1) unstable; urgency=low

  * New upstream release (Closes: #690116)
  * Adopt the package under the pkg-java umbrella
    (Closes: #705825)
  * Standards-Version updated to 3.9.5
  * Import in the pkg-java VCS
  * Switch to dpkg-source 3.0 (quilt) format
  * jython should work unde virtualenv (Closes: #705146)
    Thanks to Arthur Noel for the patch
  * Update of the description (Closes: #676831)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Nov 2013 14:25:27 +0100

jython (2.5.2-2) unstable; urgency=low

  * Orphaning this package.

 -- Nicolas Duboc <nduboc@debian.org>  Sat, 20 Apr 2013 16:43:20 +0200

jython (2.5.2-1) unstable; urgency=low

  * New upstream release 2.5.2 (closes: #623625)
  * Bumped version of Debian policy compliance to 3.9.3 (nothing to do)
  * Added some lintian overrides to ignore some very special cases.
  * Tests are no longer installed (saving about 1/3 of the package size).
  * Fixed dependency declarations.

 -- Nicolas Duboc <nduboc@debian.org>  Sun, 06 May 2012 10:26:34 +0200

jython (2.5.1-2) unstable; urgency=low


