=== debian/control ===
Source: jython
Section: python
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, python
Build-Depends-Indep: default-jdk,
 dh-python,
 junit,
 antlr3.2,
 bnd (>= 2.1.0),
 libasm3-java,
 libguava-java,
 libjffi-java (>= 1.2.7~),
 libjline-java,
 libjnr-constants-java (>= 0.8.6~),
 libjnr-ffi-java (>= 1.0.10~),
 libjnr-netdb-java,
 libjnr-posix-java (>= 3.0.10~),
 libjnr-x86asm-java,
 liblivetribe-jsr223-java,
 libreadline-java,
 libmysql-java,
 libpostgresql-jdbc-java,
 libservlet3.1-java
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/jython.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jython.git
Homepage: http://www.jython.org

Package: jython
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends},
 default-jre-headless | java5-runtime-headless,
 libasm3-java,
 antlr3.2,
 libjnr-constants-java,
 libjnr-posix-java (>= 3.0.10~),
# the following two lines are required as a workaround for bug #633958
 libjffi-java,
 libjnr-x86asm-java,
# end of workaround
 liblivetribe-jsr223-java,
 libguava-java,
 libjnr-netdb-java,
 libreadline-java (>= 0.8),
 libjline-java
Recommends: default-jdk | java-compiler
Suggests: jython-doc, libmysql-java, libpostgresql-jdbc-java
Description: Python seamlessly integrated with Java
 Jython is an implementation of the high-level, dynamic, object-oriented
 language Python seamlessly integrated with the Java platform.  The
 predecessor to Jython, JPython, is certified as 100% Pure Java.
 .
 Jython is complementary to Java and allows the two languages to be freely
 mixed.  It is especially suited for embedded scripting, interactive
 experimentation and rapid application development, and it can
 interact with Java packages or with running Java applications.

Package: jython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: w3m | www-browser
Suggests: jython
Description: Jython documentation including API docs
 Official documentation for Jython, an implementation of Python
 seamlessly integrated with Java.  This includes detailed Jython usage
 information as well as the API documentation for the Jython classes.
 .
 This package only contains documentation specific to Jython; for general
 Python documentation including a Python language reference and tutorial,
 see Python web site : http://docs.python.org/.
