=== debian/rules ===
#!/usr/bin/make -f

RTCLASSPATH := $(shell grep '^\s*appendJar' debian/jython_perl | sed "s/^.*('//;s/').*$$//" | tr '\n' ' ')

%:
	dh $@ --with python2 --with maven-repo-helper

override_dh_auto_configure:
	dh_auto_configure

	# create links to external libs expected by ANT build.xml
	mkdir -p extlibs/
	ln -s /usr/share/java/junit.jar                extlibs/junit-3.8.2.jar
	ln -s /usr/share/java/libreadline-java.jar     extlibs/libreadline-java-0.8.jar
	ln -s /usr/share/java/jline.jar                extlibs/jline-0.9.95-SNAPSHOT.jar
	ln -s /usr/share/java/servlet-api-3.1.jar      extlibs/servlet-api-2.5.jar
	ln -s /usr/share/java/mysql-connector-java.jar extlibs/mysql-connector-java-5.1.6.jar
	ln -s /usr/share/java/postgresql-jdbc4.jar     extlibs/postgresql-8.3-603.jdbc4.jar
	ln -s /usr/share/java/antlr.jar                extlibs/antlr-2.7.7.jar
	ln -s /usr/share/java/antlr3-3.2.jar           extlibs/antlr-3.1.3.jar
	ln -s /usr/share/java/antlr3-runtime-3.2.jar   extlibs/antlr-runtime-3.1.3.jar
	ln -s /usr/share/java/stringtemplate.jar       extlibs/stringtemplate-3.2.jar
	ln -s /usr/share/java/livetribe-jsr223.jar     extlibs/livetribe-jsr223-2.0.5.jar
	ln -s /usr/share/java/asm3.jar                 extlibs/asm-3.1.jar
	ln -s /usr/share/java/asm3-commons.jar         extlibs/asm-commons-3.1.jar
	ln -s /usr/share/java/jnr-constants.jar        extlibs/constantine.jar
	ln -s /usr/share/java/guava.jar                extlibs/guava-r07.jar
	ln -s /usr/share/java/jaffl.jar                extlibs/jaffl.jar
	ln -s /usr/share/java/jffi.jar                 extlibs/jffi.jar
	ln -s /usr/share/java/jnr-posix.jar            extlibs/jnr-posix.jar
	ln -s /usr/share/java/jnr-netdb.jar            extlibs/jnr-netdb-0.4.jar
	ln -s /usr/share/java/jnr-ffi.jar              extlibs/jnr-ffi.jar

override_dh_auto_build:
	# Build the class files.
	ant -nouserlib developer-build jar javadoc -DRuntimeClasspath="$(RTCLASSPATH)"
	# -nouserlib is required to prevent conflicts with the ant jython plugin

	# Generate OSGi metadata for jython.jar
	bnd wrap --properties debian/jython.bnd --output dist/jython-dev.jar.tmp dist/jython-dev.jar
	mv dist/jython-dev.jar.tmp dist/jython-dev.jar

	# Do not install the tests
	rm -rf dist/Lib/test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf extlibs

override_dh_python2:
	# Make all modules with a shebang line executable
	for library in `find debian/jython/usr/share/jython/Lib -name "*.py"` ; do \
	  if head -1 $$library | grep --quiet "^#\!" ; then \
	    chmod +x $$library; \
	  fi; \
	done

	dh_python2
	rm debian/jython.postinst.debhelper
	rm debian/jython.prerm.debhelper

override_dh_installchangelogs:
	dh_installchangelogs -- NEWS
