=== debian/watch ===
version=3
https://github.com/jython/jython3/tags .*/v([\d\.]+).tar.gz
