## jython 2.7.1+repack

=== debian/changelog ===
jython (2.7.1+repack-3) unstable; urgency=medium

  * Improve dependencies tracking using upstream defined classpaths and
    javahelper (closes: #877405)
  * Replace overkilling launcher perl script with a much simpler shell
    one
  * Fix version in maven pom.xml file

 -- Gilles Filippini <pini@debian.org>  Sun, 22 Oct 2017 15:43:00 +0200

jython (2.7.1+repack-2) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Sat, 30 Sep 2017 15:31:09 +0200

jython (2.7.1+repack-1) experimental; urgency=medium

  * New upstream release (closes: #827280, #800856, #777079)
  * Fix debian/watch to repack without extlibs
  * Update debian/copyright
  * Drop patches:
    - 02-jnr_refactoring.patch (fixed upstream)
    - CVE-2016-4000.patch (fixed upstream)
  * New patch 05-no-com.carrotsearch.sizeof.patch dropping the new 
    jython modified version of getsizeof because of missing package
    java-sizeof in Debian
  * Update patches:
    - 01-build.patch
    - 03-default-cachedir.patch
    - 04-runtime-classpath.patch
  * Fix dependencies and run-time classpath

 -- Gilles Filippini <pini@debian.org>  Wed, 13 Sep 2017 21:56:24 +0200

jython (2.5.3-17) unstable; urgency=medium

  * Team upload.
  * Fix CVE-2016-4000: (Closes: #864859)
    Unsafe deserialization may lead to arbitrary code execution.

 -- Markus Koschany <apo@debian.org>  Fri, 16 Jun 2017 21:51:06 +0200
