=== debian/control ===
--- 
+++ 
@@ -3,26 +3,28 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, python
+Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python
 Build-Depends-Indep: default-jdk,
  dh-python,
- junit,
+ junit4,
  antlr3.2,
  bnd (>= 2.1.0),
- libasm3-java,
+ libasm-java,
  libguava-java,
  libjffi-java (>= 1.2.7~),
- libjline-java,
+ libjline2-java,
  libjnr-constants-java (>= 0.8.6~),
  libjnr-ffi-java (>= 1.0.10~),
  libjnr-netdb-java,
  libjnr-posix-java (>= 3.0.10~),
  libjnr-x86asm-java,
  liblivetribe-jsr223-java,
- libreadline-java,
  libmysql-java,
  libpostgresql-jdbc-java,
- libservlet3.1-java
+ libservlet3.1-java,
+ libcommons-compress-java,
+ libicu4j-java,
+ libnetty-java
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/jython.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jython.git
@@ -30,21 +32,8 @@
 
 Package: jython
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, ${java:Depends},
  default-jre-headless | java5-runtime-headless,
- libasm3-java,
- antlr3.2,
- libjnr-constants-java,
- libjnr-posix-java (>= 3.0.10~),
-# the following two lines are required as a workaround for bug #633958
- libjffi-java,
- libjnr-x86asm-java,
-# end of workaround
- liblivetribe-jsr223-java,
- libguava-java,
- libjnr-netdb-java,
- libreadline-java (>= 0.8),
- libjline-java
 Recommends: default-jdk | java-compiler
 Suggests: jython-doc, libmysql-java, libpostgresql-jdbc-java
 Description: Python seamlessly integrated with Java
