=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//" \
	https://github.com/jythontools/jython/tags \
	.*/v([\d\.]+).tar.gz \
	debian \
	debian/orig-tar.sh
