## jython 2.7.1+repack1

=== debian/changelog ===
jython (2.7.1+repack1-4~deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * Rebuild for buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Aug 2019 23:07:53 +0200

jython (2.7.1+repack1-4) unstable; urgency=medium

  * Team upload.
  * Preserve the backward compatibility with Java 7 (Closes: #934111)
  * Adjusted the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 08 Aug 2019 10:11:23 +0200

jython (2.7.1+repack1-3) unstable; urgency=medium

  * Improve previous fix with default-jre-headless (>= 2:1.9), thanks to
    Andreas Beckmann <anbe@debian.org> (closes: #924283)

 -- Gilles Filippini <pini@debian.org>  Sat, 04 May 2019 18:16:46 +0200

jython (2.7.1+repack1-2) unstable; urgency=medium

  * d/control: fix Vcs-Git field
  * jython: increase minimal JRE version to Java9 (closes: #924283;
    thanks to Ole Streicher)

 -- Gilles Filippini <pini@debian.org>  Tue, 12 Mar 2019 19:02:20 +0100

jython (2.7.1+repack1-1) unstable; urgency=medium

  * Repack again upstream tarball to remove precompiled Windows binaries
  * Point Vcs-* fields to salsa.debian.org
  * Drop unused quilt patches
  * d/rules: ant: do not enforce build.date and build.time: ant should use
    $SOURCE_DATE_EPOCH when defined

 -- Gilles Filippini <pini@debian.org>  Sun, 13 Jan 2019 14:28:39 +0100

jython (2.7.1+repack-7) unstable; urgency=medium

  * New patch reproducible-builds.patch
  * Replace timestamps with $SOURCE_DATE_EPOCH wherever possible

 -- Gilles Filippini <pini@debian.org>  Sat, 12 Jan 2019 23:27:44 +0100

jython (2.7.1+repack-6) unstable; urgency=medium

  * Team upload.
  * Switch from libmysql-java to libmariadb-java.
  * Declare compliance with Debian Policy 4.2.1.

 -- Markus Koschany <apo@debian.org>  Fri, 09 Nov 2018 17:01:37 +0100

jython (2.7.1+repack-5) unstable; urgency=medium

  * Workaround JAXB removal from Java 11 (closes: #912473):
    - Build-Depends: libjaxb-api-java
    - Update patch 00-missing-dep.patch to add jaxb-api.jar to the classpath

 -- Gilles Filippini <pini@debian.org>  Tue, 06 Nov 2018 23:02:01 +0100

jython (2.7.1+repack-4) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Removed the unused build dependency on liblivetribe-jsr223-java

  [ Gilles Filippini ]
  * Fix jh_installlibs regex (closes: #909910)
  * Add myself to Uploaders
  * New patch javadoc-classpath.patch: add missing junit4.jar to the javadoc
    classpath

 -- Gilles Filippini <pini@debian.org>  Tue, 02 Oct 2018 23:00:24 +0200
