=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python
+Uploaders: Jakub Adam <jakub.adam@ktknet.cz>, Gilles Filippini <pini@debian.org>
+Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python, libjaxb-api-java, dh-strip-nondeterminism
 Build-Depends-Indep: default-jdk,
  dh-python,
  junit4,
@@ -18,24 +18,23 @@
  libjnr-netdb-java,
  libjnr-posix-java (>= 3.0.10~),
  libjnr-x86asm-java,
- liblivetribe-jsr223-java,
- libmysql-java,
+ libmariadb-java,
  libpostgresql-jdbc-java,
  libservlet3.1-java,
  libcommons-compress-java,
  libicu4j-java,
  libnetty-java
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jython.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jython.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/java-team/jython.git
+Vcs-Browser: https://salsa.debian.org/java-team/jython
 Homepage: http://www.jython.org
 
 Package: jython
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, ${java:Depends},
- default-jre-headless | java5-runtime-headless,
+ default-jre-headless (>= 2:1.7) | java7-runtime-headless,
 Recommends: default-jdk | java-compiler
-Suggests: jython-doc, libmysql-java, libpostgresql-jdbc-java
+Suggests: jython-doc, libmariadb-java, libpostgresql-jdbc-java
 Description: Python seamlessly integrated with Java
  Jython is an implementation of the high-level, dynamic, object-oriented
  language Python seamlessly integrated with the Java platform.  The
