=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
   sed -r 's/junit-.*\.jar/junit4.jar/' | \
   sed -r 's/(netty-.*)-.*\.jar/\1.jar/' | \
   sed -r 's/(servlet-api)-.*\.jar/\1-3.1.jar/' | \
-  sed -r 's/(mysql-connector-java)-.*\.jar/\1.jar/' | \
+  sed -r 's/(mysql-connector-java)-.*\.jar/mariadb-java-client.jar/' | \
   sed -r 's/(postgresql)-.*\.jar/\1.jar/' | \
   sed -r 's/(guava)-.*.jar/\1.jar/' | \
   sed -r '/netty|servlet-api/!s/(java\/.*)-[0-9\._]*\.jar/\1.jar/' | \
@@ -68,9 +68,13 @@
 	dh_auto_configure
 
 override_dh_auto_build:
+	# Reproducible builds - These files' mtime are stored into the
+	# generated $py.class files
+	touch -d @$(SOURCE_DATE_EPOCH) Lib/*.py lib-python/*/*.py
 	# Build the class files.
 	# -nouserlib is required to prevent conflicts with the ant jython plugin
 	ant -nouserlib developer-build jar javadoc \
+	  -Djython.java.version=7 \
 	  -Dmain.classpath=$(OUR_MAIN_CLASSPATH) \
 	  -Dtest.classpath=$(OUR_TEST_CLASSPATH) \
 	  -Druntime.classpath="$(OUR_RUNTIME_CLASSPATH)"
@@ -86,11 +90,11 @@
 	rm -rf extlibs
 
 override_jh_installlibs:
-	jh_installlibs --version-strip="+.*"
+	jh_installlibs --version-strip="[+].*"
 
-# libmysql-java and libpostgresql-jdbc-java are part of Suggests
+# libmariadb-java and libpostgresql-jdbc-java are part of Suggests
 override_jh_depends:
-	jh_depends -Xlibmysql-java -Xlibpostgresql-jdbc-java
+	jh_depends -Xlibmariadb-java -Xlibpostgresql-jdbc-java
 
 override_dh_python2:
 	# Make all modules with a shebang line executable
