## jython 2.7.2~b2+repack1

=== debian/changelog ===
jython (2.7.2~b2+repack1-1ubuntu1) focal; urgency=medium

  * Build-depend on python2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 09:32:17 +0100

jython (2.7.2~b2+repack1-1) unstable; urgency=medium

  * Upload to unstable

 -- Gilles Filippini <pini@debian.org>  Sat, 11 Jan 2020 14:20:11 +0100

jython (2.7.2~b2+repack1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update patches
  * New patch antlr-getEOFToken.patch: workaround new API from antlr 3.5

 -- Gilles Filippini <pini@debian.org>  Sat, 23 Nov 2019 17:08:32 +0100
