=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jakub Adam <jakub.adam@ktknet.cz>, Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python, libjaxb-api-java, dh-strip-nondeterminism
+Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python2, libjaxb-api-java, dh-strip-nondeterminism
 Build-Depends-Indep: default-jdk,
  dh-python,
  junit4,
