=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
   sed -r '/netty|servlet-api/!s/(java\/.*)-[0-9\._]*\.jar/\1.jar/' | \
   sed -r 's/antlr(-.*)?\.jar/antlr3\1-3.2.jar/' | \
   sed -r '/java-sizeof/d' | \
+  sed -r '/failureaccess/d' | \
   xargs echo | \
   sed 's/ /:/g' \
 )
