## jython 2.7.2+repack1

=== debian/changelog ===
jython (2.7.2+repack1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Thu, 20 Aug 2020 21:03:20 -0700

jython (2.7.2+repack1-2) experimental; urgency=medium

  * Team upload
  * Update build dependencies for python 3 (Closes: #936776, #967150)
  * Upload to experimental to give users a chance to test.

 -- tony mancill <tmancill@debian.org>  Wed, 05 Aug 2020 16:01:50 -0700

jython (2.7.2+repack1-1) unstable; urgency=medium

  * New upstream release
  * Auto-sync upstream version into pom.xml
  * Improve build time classpath checks output

 -- Gilles Filippini <pini@debian.org>  Sat, 25 Apr 2020 10:31:22 +0200

jython (2.7.2~rc1+repack1-2) unstable; urgency=medium

  * Embed the modules into the jar

 -- Gilles Filippini <pini@debian.org>  Thu, 19 Mar 2020 20:53:33 +0100

jython (2.7.2~rc1+repack1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch 03-default-cachedir.patch (fixed upstream):
    The default location of the Jython package cache has moved from the
    installation directory to the current working directory and is called
    ".jython_cache"
  * Refresh other patches


 -- Gilles Filippini <pini@debian.org>  Sun, 08 Mar 2020 10:35:11 +0100

jython (2.7.2~b3+repack1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump Java compatibility version to 8 because some test cases now use
    String.join

 -- Gilles Filippini <pini@debian.org>  Thu, 20 Feb 2020 22:48:07 +0100
