=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jakub Adam <jakub.adam@ktknet.cz>, Gilles Filippini <pini@debian.org>
-Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python2, libjaxb-api-java, dh-strip-nondeterminism
+Build-Depends: debhelper (>= 10), dh-exec, ant, gawk, maven-repo-helper, javahelper, python3, libjaxb-api-java, dh-strip-nondeterminism
 Build-Depends-Indep: default-jdk,
  dh-python,
  junit4,
  antlr3.2,
  bnd (>= 2.1.0),
+ zip,
  libasm-java,
  libguava-java,
  libjffi-java (>= 1.2.7~),
@@ -31,8 +32,8 @@
 
 Package: jython
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, ${python:Depends}, ${java:Depends},
- default-jre-headless (>= 2:1.7) | java7-runtime-headless,
+Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends}, ${java:Depends},
+ default-jre-headless (>= 2:1.8) | java8-runtime-headless,
 Recommends: default-jdk | java-compiler
 Suggests: jython-doc, libmariadb-java, libpostgresql-jdbc-java
 Description: Python seamlessly integrated with Java
