=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,17 @@
 # could work effectively and it doesn't need to be hardcoded into the launcher
 # script.
 
+VERSION_UPSTREAM = $(shell dpkg-parsechangelog -S Version | sed -E 's/\+repack.*$$//')
+
 # Extract upstream main.classpath
-THEIR_MAIN_CLASSPATH := $(shell \
+THEIR_MAIN_CLASSPATH = $(shell \
   ant -nouserlib -quiet get-their-main-classpath | \
   head -1 | \
   sed 's/^ *\[echo\] *//' \
 )
 
 # Extract upstream test.classpath
-THEIR_TEST_CLASSPATH := $(shell \
+THEIR_TEST_CLASSPATH = $(shell \
   ant -nouserlib -quiet get-their-test-classpath | \
   head -1 | \
   sed 's/^ *\[echo\] *//' \
@@ -43,29 +45,42 @@
 )
  
 # Fix main.classpath and test.classpath
-OUR_MAIN_CLASSPATH := $(call their_to_our,$(THEIR_MAIN_CLASSPATH))
-OUR_TEST_CLASSPATH := $(call their_to_our,$(THEIR_TEST_CLASSPATH))
+OUR_MAIN_CLASSPATH = $(call their_to_our,$(THEIR_MAIN_CLASSPATH))
+OUR_TEST_CLASSPATH = $(call their_to_our,$(THEIR_TEST_CLASSPATH))
 
 # Runtime classpath uses space as separator instead of ':'
-OUR_RUNTIME_CLASSPATH := $(shell echo '$(OUR_MAIN_CLASSPATH)' | sed 's/:/ /g')
+OUR_RUNTIME_CLASSPATH = $(shell echo '$(OUR_MAIN_CLASSPATH)' | sed 's/:/ /g')
 
 # Print and check classpaths to help finding missing dependencies
-print_classpath = ls -1 $(foreach path,$(shell echo '$(1)' | sed 's/:/\n/g' | grep -v '$(CURDIR)/build/'),'$(path)')
+print_classpath = echo '$(1)' | sed 's/:/\n/g' | sort | grep -v '$(CURDIR)/build/'
+ls_classpath = ls -1 $(foreach path,$(shell echo '$(1)' | sed 's/:/\n/g' | grep -v '$(CURDIR)/build/'),'$(path)')
 check_classpath:
 	@echo THEIR_MAIN
 	@$(call print_classpath,$(THEIR_MAIN_CLASSPATH)) || true
 	@echo OUR_MAIN
-	@$(call print_classpath,$(OUR_MAIN_CLASSPATH))
+	@$(call ls_classpath,$(OUR_MAIN_CLASSPATH))
 	@echo THEIR_TEST
 	@$(call print_classpath,$(THEIR_TEST_CLASSPATH)) || true
 	@echo OUR_TEST
-	@$(call print_classpath,$(OUR_TEST_CLASSPATH))
+	@$(call ls_classpath,$(OUR_TEST_CLASSPATH))
 
+DEBIAN_IN = $(wildcard debian/*.in)
+DEBIAN_OUT = $(patsubst %.in,%,$(DEBIAN_IN))
+
+# Requested to prevent deletion of $(DEBIAN_OUT) files as intermediate files
+.SECONDARY: $(DEBIAN_OUT)
+
+info:
+	@echo $(DEBIAN_OUT)
+
+debian/%: debian/%.in
+	sed -e 's/@VERSION@/$(VERSION_UPSTREAM)/g' \
+	  $< >$@
 
 %:
-	dh $@ --with python2 --with javahelper --with jh-maven-repo-helper
+	dh $@ --with python3 --with javahelper --with jh-maven-repo-helper
 
-override_dh_auto_configure: check_classpath
+override_dh_auto_configure: check_classpath $(DEBIAN_OUT)
 	dh_auto_configure
 
 override_dh_auto_build:
@@ -75,7 +90,7 @@
 	# Build the class files.
 	# -nouserlib is required to prevent conflicts with the ant jython plugin
 	ant -nouserlib developer-build jar javadoc \
-	  -Djython.java.version=7 \
+	  -Djython.java.version=8 \
 	  -Dmain.classpath=$(OUR_MAIN_CLASSPATH) \
 	  -Dtest.classpath=$(OUR_TEST_CLASSPATH) \
 	  -Druntime.classpath="$(OUR_RUNTIME_CLASSPATH)"
@@ -86,9 +101,13 @@
 	# Do not install the tests
 	rm -rf dist/Lib/test
 
+	# Embed the modules into the jar
+	cd dist && zip -r jython.jar Lib/
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf extlibs
+	rm -f $(DEBIAN_OUT)
 
 override_jh_installlibs:
 	jh_installlibs --version-strip="[+].*"
@@ -97,17 +116,5 @@
 override_jh_depends:
 	jh_depends -Xlibmariadb-java -Xlibpostgresql-jdbc-java
 
-override_dh_python2:
-	# Make all modules with a shebang line executable
-	for library in `find debian/jython/usr/share/jython/Lib -name "*.py"` ; do \
-	  if head -1 $$library | grep --quiet "^#\!" ; then \
-	    chmod +x $$library; \
-	  fi; \
-	done
-
-	dh_python2
-	rm debian/jython.postinst.debhelper
-	rm debian/jython.prerm.debhelper
-
 override_dh_installchangelogs:
 	dh_installchangelogs -- NEWS
