## jython 2.7.3%2Brepack1

=== debian/changelog ===
jython (2.7.3+repack1-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 21:19:51 +0000

jython (2.7.3+repack1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

  * Bump Standards-Version to 4.6.2 (no changes)

 -- Gilles Filippini <pini@debian.org>  Sat, 07 Jan 2023 17:12:55 +0100

jython (2.7.2+repack1-5) unstable; urgency=medium

  * CVE-2019-16935 (closes: #1027149)

 -- Gilles Filippini <pini@debian.org>  Thu, 29 Dec 2022 12:00:40 +0100

jython (2.7.2+repack1-4) unstable; urgency=medium

  * Build-Depends: antlr3 (instead of antlr3.2; Closes: #995188)
  * Build-Depends: libservlet-api-java (instead of deprecated
    libservlet3.1-java)
  * Remove deprecated lintien overrides

 -- Gilles Filippini <pini@debian.org>  Tue, 28 Sep 2021 23:55:02 +0200
