## jython 2.7.3+repack1

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends-Indep: default-jdk,
  dh-python,
  junit4,
- antlr3.2,
+ antlr3,
  bnd (>= 2.1.0),
  zip,
  libasm-java,
@@ -21,11 +21,11 @@
  libjnr-x86asm-java,
  libmariadb-java,
  libpostgresql-jdbc-java,
- libservlet3.1-java,
+ libservlet-api-java,
  libcommons-compress-java,
  libicu4j-java,
  libnetty-java
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/java-team/jython.git
 Vcs-Browser: https://salsa.debian.org/java-team/jython
 Homepage: http://www.jython.org
