=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack\d*$//, \
	uversionmangle=s/(([ab]|rc)\d+)/~$1/" \
	https://github.com/jython/jython/tags \
	.*/v([\d\.]+[a-z0-9]*).tar.gz \
	debian \
	debian/orig-tar.sh
